Domains

## Macros

#define | __itt_domain_create __itt_domain_createA
#define | __itt_domain_create_ptr __itt_domain_createA_ptr

## Functions

__itt_domain *ITTAPI | __itt_domain_createA (const char *name)
| Create a domain. Create domain using some domain name: the URI naming style is recommended. Because the set of domains is expected to be static over the application's execution time, there is no mechanism to destroy a domain. Any domain can be accessed by any thread in the process, regardless of which thread created the domain. This call is thread-safe. More...
__itt_domain *ITTAPI | __itt_domain_createW (const wchar_t *name)

## Detailed Description

Domains group

## Macro Definition Documentation

## __itt_domain_create

#define __itt_domain_create __itt_domain_createA

Definition at line 1791 of file ittnotify.h.

## __itt_domain_create_ptr

#define __itt_domain_create_ptr __itt_domain_createA_ptr

Definition at line 1792 of file ittnotify.h.

## Function Documentation

## __itt_domain_createA()

__itt_domain* ITTAPI __itt_domain_createA | ( | const char * | name | ) |

Create a domain. Create domain using some domain name: the URI naming style is recommended. Because the set of domains is expected to be static over the application's execution time, there is no mechanism to destroy a domain. Any domain can be accessed by any thread in the process, regardless of which thread created the domain. This call is thread-safe.

Parameters

  [in] | name | name of domain

## __itt_domain_createW()

__itt_domain* ITTAPI __itt_domain_createW | ( | const wchar_t * | name | ) |

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.